/**
 *taskmanager App
 * There are different ways implementing an App
 */
var taskmanagerApp = taskmanagerApp || {};  //Define App namespace, if you want.
/**
 *Constructor UNAS App
 */
taskmanagerApp.App = function () {
    this.id = 'Task Manager';
    this.name = 'Task Manager';
    this.version = '6.0.27';
    this.active = false;
    this.menuIcon = '/apps/taskmanager/images/logo.png?v=6.0.27&';
    this.shortcutIcon = '/apps/taskmanager/images/logo.png?v=6.0.27&';
    this.entryUrl = '/apps/taskmanager/taskmanager.html?v=6.0.27&';
    //this.entryHelpUrl = '/apps/taskmanager/taskmanager_help.html?v=6.0.27&';
    var self = this;
    this.taskmanagerAppWindow = function () { //create app window
        if(UNAS.CheckAppState('Task Manager')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'taskmanagerAppWindow',
            title: UNAS._('Task Manager'),
            icon: '/apps/taskmanager/images/logo_small.png?v=6.0.27&',
            width: 800,
            height: 502,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [800, 2000], 'y': [502, 1500] },
            loadMethod: 'xhr',
            contentURL: '/apps/taskmanager/taskmanager.html?v=6.0.27&',
            // require: {  css: ['/apps/taskmanager/css/taskmanager.css']
            // },
            onClose: function () {
                clearTimeout(timer);
            },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Task Manager",'taskmanagerAppWindow')}
        });
    };
    this.taskmanagerAppUninstall = function (){
        UNAS.RemoveDesktopShortcut('Task Manager');
        UNAS.RemoveMenu('Task Manager');
        UNAS.RemoveAppFromGroups('Task Manager', 'ControlPanel');
        UNAS.RemoveAppFromGroups('Task Manager', 'Help');
        UNAS.RemoveAppFromApps('Task Manager');
    }
    // new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon, 'Task Manager', '', this.taskmanagerAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Task Manager', this.taskmanagerAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'SystemTools', 'Location' : 4, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'SystemTools', 'Location' : 4, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Task Manager', UNAS._('Task Manager')); //translate menu
        UNAS.SetShortcutTitle('Task Manager', UNAS._('Task Manager')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            //need to translate the window title, menu and shortcut
            UNAS.SetWindowTitle('taskmanagerAppWindow', UNAS._('Task Manager'));
        }
        MUI.updateContent({
            element: $('taskmanagerAppWindow'),
            title: UNAS._('Task Manager'),
            resizable: true,
            url: '/apps/taskmanager/taskmanager.html?v=6.0.27&',
            onContentLoaded:function () {
                clearTimeout(timer);
                jQuery("#TaskManagerLiNum"+TaskManagerLiNum).trigger('click');
            }
        });
        //console.log(jQuery("#TaskManagerLiNum"+TaskManagerLiNum));

    };
    UNAS.LoadTranslation('/apps/taskmanager/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name,this.shortcutIcon,this.taskmanagerAppWindow,this.taskmanagerAppUninstall);
};

new taskmanagerApp.App(); //Create app